Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025036
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-10-28 15:512013-12-20 15:10
ReportercaristuView Statuspublic 
Assigned Tomalsasua 
PriorityhighResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision0c9aaac2799e
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025036: Unexpected behavior when entering a barcode if a payment method is selected

DescriptionIf we enter a barcode manually or the user accidentally scans a barcode when we are going to pay the receipt, an amount of 100 is added into the payment screen.
Steps To Reproduce1) Log-in into WebPOS
2) Add a product to the receipt
3) Go to the Pay Receipt screen. Notice that a payment method is selected.
4) Type a barcode string and click on enter: an amount of 100 for the selected payment method is added.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062127)
hgbot (developer)
2013-11-13 19:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 0c9aaac2799e919c8760d95c760331fbf04ee155
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Nov 13 19:38:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]

Fixed issue 25036: Unexpected behavior when entering a barcode if a payment method is selected

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0062203)
hgbot (developer)
2013-11-18 12:55

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 0c9aaac2799e919c8760d95c760331fbf04ee155
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Nov 13 19:38:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]

Fixed issue 25036: Unexpected behavior when entering a barcode if a payment method is selected

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0062277)
guilleaer (developer)
2013-11-20 09:53

Verified
(0062571)
hgbot (developer)
2013-12-05 12:11

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 0c9aaac2799e919c8760d95c760331fbf04ee155
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Nov 13 19:38:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]

Fixed issue 25036: Unexpected behavior when entering a barcode if a payment method is selected

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0062617)
guilleaer (developer)
2013-12-05 17:21

Reclosing
(0062899)
hgbot (developer)
2013-12-19 19:46

Repository: erp/pmods/org.openbravo.retail.posterminal.offline
Changeset: 0c9aaac2799e919c8760d95c760331fbf04ee155
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Wed Nov 13 19:38:12 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]

Fixed issue 25036: Unexpected behavior when entering a barcode if a payment method is selected

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/keyboard-toolbars.js
---
(0063009)
guilleaer (developer)
2013-12-20 15:10

reclosed

- Issue History
Date Modified Username Field Change
2013-10-28 15:51 caristu New Issue
2013-10-28 15:51 caristu Assigned To => marvintm
2013-10-28 15:51 caristu Triggers an Emergency Pack => No
2013-10-28 15:51 caristu Summary Unexpected behavior when entering a barcode string if a payment method is selected => Unexpected behavior when entering a barcode if a payment method is selected
2013-10-28 15:51 caristu Issue Monitored: networkb
2013-11-11 12:26 malsasua Assigned To marvintm => malsasua
2013-11-11 18:17 caristu Target Version => RMP29
2013-11-13 19:38 hgbot Checkin
2013-11-13 19:38 hgbot Note Added: 0062127
2013-11-13 19:38 hgbot Status new => resolved
2013-11-13 19:38 hgbot Resolution open => fixed
2013-11-13 19:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]
2013-11-18 12:55 hgbot Checkin
2013-11-18 12:55 hgbot Note Added: 0062203
2013-11-18 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]
2013-11-20 09:53 guilleaer Review Assigned To => guilleaer
2013-11-20 09:53 guilleaer Note Added: 0062277
2013-11-20 09:53 guilleaer Status resolved => closed
2013-11-20 09:53 guilleaer Fixed in Version => RMP29
2013-12-05 12:11 hgbot Checkin
2013-12-05 12:11 hgbot Note Added: 0062571
2013-12-05 12:11 hgbot Status closed => resolved
2013-12-05 12:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]
2013-12-05 17:21 guilleaer Note Added: 0062617
2013-12-05 17:21 guilleaer Status resolved => closed
2013-12-19 19:46 hgbot Checkin
2013-12-19 19:46 hgbot Note Added: 0062899
2013-12-19 19:46 hgbot Status closed => resolved
2013-12-19 19:46 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.offline/rev/0c9aaac2799e919c8760d95c760331fbf04ee155 [^]
2013-12-20 15:10 guilleaer Note Added: 0063009
2013-12-20 15:10 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker